System.Console.Haskeline

# Interactive sessions

## The InputT monad transformer

data InputT m a

runInputT

haveTerminalUI

mapInputT

## Behaviors

data Behavior

runInputTBehavior

defaultBehavior

useFileHandle

useFile

preferTerm

# User interaction functions

## Reading user input

getInputLine

getInputLineWithInitial

getInputChar

getPassword

## Outputting text

outputStr

outputStrLn

# Customization

## Settings

data Settings m

defaultSettings

setComplete

## User preferences

data Prefs

readPrefs

defaultPrefs

runInputTWithPrefs

runInputTBehaviorWithPrefs

## History

getHistory

putHistory

modifyHistory

# Ctrl-C handling

withInterrupt

data Interrupt

handleInterrupt

# Additional submodules